"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _toetag = require("toetag");

var _icon = require("./icon");

var _icon2 = _interopRequireDefault(_icon);

var _reactJss = require("react-jss");

var _reactJss2 = _interopRequireDefault(_reactJss);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
	innerAlert: {
		marginBottom: _toetag.bootstrap.paddingBaseVertical,
		display: "inline-block",
		textAlign: "left"
	},
	msgContainer: {
		display: "inline-block"
	},
	icon: {
		verticalAlign: "top",
		fontSize: _toetag.bootstrap.fontSizeH4,
		paddingRight: _toetag.bootstrap.paddingLargeHorizontal,
		opacity: 0.2
	},
	headline: {
		margin: 0,
		marginBottom: _toetag.bootstrap.paddingBaseVertical
	},
	body: {
		maxWidth: "40em"
	}
};

var Alert = function Alert(_ref) {
	var _ref$type = _ref.type,
	    type = _ref$type === undefined ? "info" : _ref$type,
	    children = _ref.children,
	    headline = _ref.headline,
	    onDismiss = _ref.onDismiss,
	    _ref$dismissTitle = _ref.dismissTitle,
	    dismissTitle = _ref$dismissTitle === undefined ? "Dismiss" : _ref$dismissTitle,
	    classes = _ref.sheet.classes,
	    _ref$showIcon = _ref.showIcon,
	    showIcon = _ref$showIcon === undefined ? true : _ref$showIcon;

	var isDismissable = !!onDismiss;
	var css = "alert " + (isDismissable ? "alert-dismissible" : "") + " alert-" + type + " " + classes.innerAlert;
	var dismiss = isDismissable ? _react2.default.createElement(
		"button",
		{ type: "button", className: "close", title: dismissTitle, onClick: onDismiss },
		"\xD7"
	) : null;

	return _react2.default.createElement(
		"div",
		null,
		" ",
		_react2.default.createElement(
			"div",
			{ className: css },
			dismiss,
			showIcon ? _react2.default.createElement(_icon2.default, { className: classes.icon, type: type }) : null,
			_react2.default.createElement(
				"div",
				{ className: classes.msgContainer },
				headline ? _react2.default.createElement(
					"h4",
					{ className: classes.headline },
					headline
				) : null,
				_react2.default.createElement(
					"div",
					{ className: classes.body },
					children
				)
			)
		)
	);
};

exports.default = (0, _reactJss2.default)(styles)(Alert);